<script lang="ts" setup>
import { reactive } from "vue";

const state = reactive({
  backendUrl: localStorage.getItem("backend_url") || "",
});

function saveSettings() {
  if (state.backendUrl) localStorage.setItem("backend_url", state.backendUrl);
  else localStorage.removeItem("backend_url");
  window.location.reload();
}

function resetSettings() {
  localStorage.removeItem("backend_url");
}
</script>

<template>
  <div class="p-5">
    <router-link to="/">
      <v-btn>Retour à l'accueil</v-btn>
    </router-link>
  </div>
  <section class="bg-white dark:bg-gray-900">
    <div
      class="container flex flex-col items-center px-4 py-12 mx-auto text-center"
    >
      <h2
        class="text-3xl font-bold tracking-tight text-gray-600 dark:text-white"
      >
        Paramètres locaux
      </h2>

      <p class="block max-w-2xl mt-4 text-xl text-gray-500 dark:text-gray-300">
        Ces paramètres sont destinés à un usage avancé et ne doivent en principe
        pas etre modifiés. Ils sont stockés dans un cookie et ne sont pas
        synchronisés avec votre compte.
      </p>

      <div class="mt-6 w-100">
        <v-text-field
          v-model="state.backendUrl"
          clearable
          label="URL Backend"
          placeholder="https://whiskey-api.agepoly.ch"
        />

        <v-card class="mt-5" variant="tonal">
          <v-card-item>
            <div class="flex justify-around">
              <v-btn variant="text" @click="resetSettings">Réinitialiser</v-btn>
              <v-btn color="primary" @click="saveSettings">Enregistrer</v-btn>
            </div>
          </v-card-item>
        </v-card>
      </div>
    </div>
  </section>
</template>
